Closed Bug 855730 Opened 8 years ago Closed 6 years ago

Intermittent test_mixed_content_blocker_frameNavigation.html | navigated to insecure granchild iframe on secure page, or, | Test timed out.

Categories

(Core Graveyard :: Security: UI, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: RyanVM, Assigned: tanvi)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure)

Attachments

(6 files, 1 obsolete file)

https://tbpl.mozilla.org/php/getParsedLog.php?id=21209450&tree=Mozilla-Inbound

Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-1 on 2013-03-28 08:22:35 PDT for push 7538d3ff1e14
slave: talos-r3-w7-022

08:34:08     INFO -  44106 INFO TEST-START | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html
08:34:08     INFO -  ++DOMWINDOW == 64 (07EE9FA8) [serial = 1505] [outer = 075E5568]
08:34:08     INFO -  ++DOCSHELL 07B61B70 == 26 [id = 269]
08:34:08     INFO -  ++DOMWINDOW == 65 (07EE9138) [serial = 1506] [outer = 00000000]
08:34:08     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/base/nsDocShell.cpp, line 8395
08:34:08     INFO -  ++DOMWINDOW == 66 (07EEA210) [serial = 1507] [outer = 07EE9138]
08:34:08     INFO -  ++DOCSHELL 07B60220 == 27 [id = 270]
08:34:08     INFO -  ++DOMWINDOW == 67 (07EEA948) [serial = 1508] [outer = 00000000]
08:34:08     INFO -  ++DOCSHELL 07B5F578 == 28 [id = 271]
08:34:08     INFO -  ++DOMWINDOW == 68 (07EE7928) [serial = 1509] [outer = 00000000]
08:34:08     INFO -  [Parent 2536] WARNING: Unable to test style tree integrity -- no content node: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsCSSFrameConstructor.cpp, line 8245
08:34:08     INFO -  ++DOMWINDOW == 69 (07EEABB0) [serial = 1510] [outer = 07EE7928]
08:34:08     INFO -  ++DOCSHELL 07B604A8 == 29 [id = 272]
08:34:08     INFO -  ++DOMWINDOW == 70 (07EE7DF8) [serial = 1511] [outer = 00000000]
08:34:08     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/base/nsDocShell.cpp, line 8395
08:34:08     INFO -  ++DOMWINDOW == 71 (07EE7B90) [serial = 1512] [outer = 07EEA948]
08:34:09     INFO -  [Parent 2536] WARNING: No inner window available!: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/dom/base/nsGlobalWindow.cpp, line 8181
08:34:09     INFO -  --DOCSHELL 07B61DF8 == 28 [id = 268]
08:34:09     INFO -  --DOMWINDOW == 70 (10A0A0C0) [serial = 1502] [outer = 00000000] [url = ]
08:34:09     INFO -  ++DOMWINDOW == 71 (10A0A0C0) [serial = 1513] [outer = 07EE7DF8]
08:34:09     INFO -  ++DOMWINDOW == 72 (10A0B400) [serial = 1514] [outer = 07EEA948]
08:34:09     INFO -  ++DOMWINDOW == 73 (10A09E58) [serial = 1515] [outer = 07EE7DF8]
08:34:09     INFO -  --DOMWINDOW == 72 (04DAEB80) [serial = 1489] [outer = 04DAF788] [url = about:blank]
08:34:09     INFO -  --DOMWINDOW == 71 (04DACC38) [serial = 1478] [outer = 04DAD108] [url = about:blank]
08:34:09     INFO -  --DOMWINDOW == 70 (04EC3168) [serial = 1467] [outer = 04EC3B08] [url = about:blank]
08:34:09     INFO -  --DOMWINDOW == 69 (10A09BF0) [serial = 1494] [outer = 10A08648] [url = about:blank]
08:34:09     INFO -  --DOMWINDOW == 68 (04DAC500) [serial = 1483] [outer = 04DAF2B8] [url = about:blank]
08:34:09     INFO -  --DOMWINDOW == 67 (04DAF520) [serial = 1472] [outer = 04DADF78] [url = about:blank]
08:34:09     INFO -  --DOMWINDOW == 66 (04DAEDE8) [serial = 1455] [outer = 04DAD370] [url = about:blank]
08:34:09     INFO -  --DOCSHELL 16C65850 == 27 [id = 266]
08:34:09     INFO -  --DOCSHELL 16C67938 == 26 [id = 265]
08:34:09     INFO -  --DOCSHELL 16C66780 == 25 [id = 264]
08:34:09     INFO -  --DOCSHELL 161D19F0 == 24 [id = 261]
08:34:09     INFO -  --DOCSHELL 16C67BC0 == 23 [id = 262]
08:34:09     INFO -  --DOCSHELL 161CE4C8 == 22 [id = 260]
08:34:09     INFO -  --DOCSHELL 161D1C78 == 21 [id = 259]
08:34:09     INFO -  --DOCSHELL 161D0D48 == 20 [id = 256]
08:34:09     INFO -  --DOCSHELL 161CE750 == 19 [id = 257]
08:34:09     INFO -  --DOCSHELL 161CFE18 == 18 [id = 255]
08:34:09     INFO -  --DOCSHELL 161D1768 == 17 [id = 254]
08:34:09     INFO -  --DOCSHELL 16C655C8 == 16 [id = 251]
08:34:09     INFO -  --DOCSHELL 16C676B0 == 15 [id = 252]
08:34:09     INFO -  --DOCSHELL 10CE6C10 == 14 [id = 250]
08:34:09     INFO -  --DOCSHELL 10CE8CF8 == 13 [id = 249]
08:34:09     INFO -  --DOCSHELL 10CE5A58 == 12 [id = 248]
08:34:09     INFO -  --DOCSHELL 10B8E800 == 11 [id = 247]
08:34:09     INFO -  ++DOMWINDOW == 67 (04DAEDE8) [serial = 1516] [outer = 07EEA948]
08:34:09     INFO -  44107 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigating to insecure iframe blocked on insecure page
08:34:09     INFO -  ++DOMWINDOW == 68 (04DAF520) [serial = 1517] [outer = 07EE7DF8]
08:34:09     INFO -  44108 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigating to insecure grandchild iframe blocked on insecure page
08:34:10     INFO -  ++DOMWINDOW == 69 (04DAC500) [serial = 1518] [outer = 07EE9138]
08:34:10     INFO -  ++DOCSHELL 10B8F220 == 12 [id = 273]
08:34:10     INFO -  ++DOMWINDOW == 70 (04DB0128) [serial = 1519] [outer = 00000000]
08:34:10     INFO -  ++DOCSHELL 10B8DDE0 == 13 [id = 274]
08:34:10     INFO -  ++DOMWINDOW == 71 (04DAF050) [serial = 1520] [outer = 00000000]
08:34:10     INFO -  ++DOCSHELL 10B8D648 == 14 [id = 275]
08:34:10     INFO -  ++DOMWINDOW == 72 (04DAE1E0) [serial = 1521] [outer = 00000000]
08:34:10     INFO -  [Parent 2536] WARNING: Unable to test style tree integrity -- no content node: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsCSSFrameConstructor.cpp, line 8245
08:34:10     INFO -  ++DOMWINDOW == 73 (04DACC38) [serial = 1522] [outer = 04DB0128]
08:34:10     INFO -  ++DOMWINDOW == 74 (04DAEB80) [serial = 1523] [outer = 04DAE1E0]
08:34:10     INFO -  [Parent 2536] WARNING: Please do not use mouseenter/leave events in chrome. They are slower than mouseover/out!: '!nsContentUtils::IsChromeDoc(d)', file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/content/events/src/nsEventListenerManager.cpp, line 337
08:34:10     INFO -  [Parent 2536] WARNING: Please do not use mouseenter/leave events in chrome. They are slower than mouseover/out!: '!nsContentUtils::IsChromeDoc(d)', file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/content/events/src/nsEventListenerManager.cpp, line 337
08:34:10     INFO -  ++DOCSHELL 10B8EA88 == 15 [id = 276]
08:34:10     INFO -  ++DOMWINDOW == 75 (04DAFC58) [serial = 1524] [outer = 00000000]
08:34:10     INFO -  ++DOMWINDOW == 76 (10A08D80) [serial = 1525] [outer = 04DAFC58]
08:34:10     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
08:34:10     INFO -  ++DOMWINDOW == 77 (10A0AF30) [serial = 1526] [outer = 04DAFC58]
08:34:10     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
08:34:10     INFO -  ++DOMWINDOW == 78 (10A09988) [serial = 1527] [outer = 04DAF050]
08:34:10     INFO -  ++DOMWINDOW == 79 (10A0A7F8) [serial = 1528] [outer = 04DAFC58]
08:34:10     INFO -  44109 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | couldn't open an http link in a new window from a secure page
08:34:10     INFO -  ++DOCSHELL 16C65850 == 16 [id = 277]
08:34:10     INFO -  ++DOMWINDOW == 80 (10A07A40) [serial = 1529] [outer = 00000000]
08:34:10     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/base/nsDocShell.cpp, line 8395
08:34:10     INFO -  [Parent 2536] WARNING: No inner window available!: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/dom/base/nsGlobalWindow.cpp, line 10459
08:34:10     INFO -  [Parent 2536] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/content/base/src/nsContentUtils.cpp, line 3076
08:34:11     INFO -  ++DOMWINDOW == 81 (10A07CA8) [serial = 1530] [outer = 10A07A40]
08:34:11     INFO -  --DOMWINDOW == 80 (04EC4710) [serial = 1450] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_main.html]
08:34:11     INFO -  --DOMWINDOW == 79 (04EC3B08) [serial = 1466] [outer = 00000000] [url = http://example.com/tests/content/base/test/bug803225_test_mailto.html?s=%]
08:34:11     INFO -  --DOMWINDOW == 78 (04DAD108) [serial = 1477] [outer = 00000000] [url = http://example.com/tests/content/base/test/bug803225_test_mailto.html?s=%]
08:34:11     INFO -  --DOMWINDOW == 77 (04DACEA0) [serial = 1475] [outer = 00000000] [url = about:blank]
08:34:11     INFO -  --DOMWINDOW == 76 (04EC4BE0) [serial = 1464] [outer = 00000000] [url = about:blank]
08:34:11     INFO -  --DOMWINDOW == 75 (04EC2560) [serial = 1463] [outer = 00000000] [url = about:blank]
08:34:11     INFO -  --DOMWINDOW == 74 (04DAD370) [serial = 1454] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_main.html]
08:34:11     INFO -  --DOMWINDOW == 73 (04EC2F00) [serial = 1457] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_server.sjs?type=iframe]
08:34:11     INFO -  --DOMWINDOW == 72 (04DAC768) [serial = 1474] [outer = 00000000] [url = about:blank]
08:34:11     INFO -  --DOMWINDOW == 71 (04DAF788) [serial = 1488] [outer = 00000000] [url = http://example.com/tests/content/base/test/bug803225_test_mailto.html?s=%]
08:34:11     INFO -  --DOMWINDOW == 70 (04DAD5D8) [serial = 1485] [outer = 00000000] [url = about:blank]
08:34:11     INFO -  --DOMWINDOW == 69 (04DAC9D0) [serial = 1486] [outer = 00000000] [url = about:blank]
08:34:15     INFO -  44110 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigated to insecure iframe on secure page
08:34:16     INFO -  44111 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigated to insecure granchild iframe on secure page
08:34:16     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(txToRemove) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/shistory/src/nsSHistory.cpp, line 1320
08:34:16     INFO -  ++DOCSHELL 16C67E48 == 17 [id = 278]
08:34:16     INFO -  ++DOMWINDOW == 70 (04DAD5D8) [serial = 1531] [outer = 00000000]
08:34:16     INFO -  ++DOMWINDOW == 71 (04DAF788) [serial = 1532] [outer = 04DAD5D8]
08:34:16     INFO -  ++DOMWINDOW == 72 (04DAC768) [serial = 1533] [outer = 04DAD5D8]
08:34:16     INFO -  ++DOCSHELL 07B61660 == 18 [id = 279]
08:34:16     INFO -  ++DOMWINDOW == 73 (04DAD370) [serial = 1534] [outer = 00000000]
08:34:16     INFO -  ++DOCSHELL 07B618E8 == 19 [id = 280]
08:34:16     INFO -  ++DOMWINDOW == 74 (04DACEA0) [serial = 1535] [outer = 00000000]
08:34:16     INFO -  [Parent 2536] WARNING: Unable to test style tree integrity -- no content node: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsCSSFrameConstructor.cpp, line 8245
08:34:16     INFO -  ++DOMWINDOW == 75 (04DAD108) [serial = 1536] [outer = 04DACEA0]
08:34:16     INFO -  ++DOCSHELL 07B5EDE0 == 20 [id = 281]
08:34:16     INFO -  ++DOMWINDOW == 76 (10A08B18) [serial = 1537] [outer = 00000000]
08:34:16     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/base/nsDocShell.cpp, line 8395
08:34:16     INFO -  ++DOMWINDOW == 77 (10A09250) [serial = 1538] [outer = 04DAD370]
08:34:16     INFO -  ++DOMWINDOW == 78 (079F3880) [serial = 1539] [outer = 04DAD370]
08:34:16     INFO -  ++DOMWINDOW == 79 (079F1BA0) [serial = 1540] [outer = 10A08B18]
08:34:16     INFO -  ++DOMWINDOW == 80 (079F3D50) [serial = 1541] [outer = 10A08B18]
08:34:16     INFO -  ++DOMWINDOW == 81 (079F4958) [serial = 1542] [outer = 04DAD370]
08:34:16     INFO -  44112 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigating to insecure iframe blocked on insecure page
08:34:16     INFO -  ++DOMWINDOW == 82 (079F3FB8) [serial = 1543] [outer = 10A08B18]
08:34:16     INFO -  44113 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigating to insecure grandchild iframe blocked on insecure page
08:34:16     INFO -  ++DOMWINDOW == 83 (079F33B0) [serial = 1544] [outer = 04DAD5D8]
08:34:16     INFO -  ++DOCSHELL 04982F48 == 21 [id = 282]
08:34:16     INFO -  ++DOMWINDOW == 84 (079F3618) [serial = 1545] [outer = 00000000]
08:34:16     INFO -  ++DOCSHELL 04983968 == 22 [id = 283]
08:34:16     INFO -  ++DOMWINDOW == 85 (079F1938) [serial = 1546] [outer = 00000000]
08:34:16     INFO -  ++DOCSHELL 049815F8 == 23 [id = 284]
08:34:16     INFO -  ++DOMWINDOW == 86 (079F22D8) [serial = 1547] [outer = 00000000]
08:34:16     INFO -  [Parent 2536] WARNING: Unable to test style tree integrity -- no content node: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsCSSFrameConstructor.cpp, line 8245
08:34:17     INFO -  ++DOMWINDOW == 87 (079F4488) [serial = 1548] [outer = 079F1938]
08:34:17     INFO -  ++DOMWINDOW == 88 (079F52F8) [serial = 1549] [outer = 079F22D8]
08:34:17     INFO -  ++DOCSHELL 04982CC0 == 24 [id = 285]
08:34:17     INFO -  ++DOMWINDOW == 89 (079F3148) [serial = 1550] [outer = 00000000]
08:34:17     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/base/nsDocShell.cpp, line 8395
08:34:17     INFO -  [Parent 2536] WARNING: Please do not use mouseenter/leave events in chrome. They are slower than mouseover/out!: '!nsContentUtils::IsChromeDoc(d)', file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/content/events/src/nsEventListenerManager.cpp, line 337
08:34:17     INFO -  [Parent 2536] WARNING: Please do not use mouseenter/leave events in chrome. They are slower than mouseover/out!: '!nsContentUtils::IsChromeDoc(d)', file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/content/events/src/nsEventListenerManager.cpp, line 337
08:34:17     INFO -  ++DOCSHELL 049822A0 == 25 [id = 286]
08:34:17     INFO -  ++DOMWINDOW == 90 (079F4220) [serial = 1551] [outer = 00000000]
08:34:17     INFO -  ++DOMWINDOW == 91 (079F2EE0) [serial = 1552] [outer = 079F4220]
08:34:17     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
08:34:17     INFO -  ++DOMWINDOW == 92 (079F2A10) [serial = 1553] [outer = 079F4220]
08:34:17     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
08:34:17     INFO -  ++DOMWINDOW == 93 (079F16D0) [serial = 1554] [outer = 079F3618]
08:34:17     INFO -  [Parent 2536] WARNING: Subdocument container has no frame: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsDocumentViewer.cpp, line 2388
08:34:17     INFO -  ++DOMWINDOW == 94 (079F4BC0) [serial = 1555] [outer = 079F3148]
08:34:17     INFO -  [Parent 2536] WARNING: Subdocument container has no frame: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsDocumentViewer.cpp, line 2388
08:34:17     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
08:34:17     INFO -  [Parent 2536] WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
08:34:17     INFO -  ++DOMWINDOW == 95 (079F4E28) [serial = 1556] [outer = 079F4220]
08:34:17     INFO -  44114 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | couldn't open an http link in a new window from a secure page
08:34:17     INFO -  [Parent 2536] WARNING: NS_ENSURE_SUCCESS(rv, false) failed with result 0x8000FFFF: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/content/base/src/nsContentUtils.cpp, line 3076
08:34:17     INFO -  ++DOMWINDOW == 96 (04DAE6B0) [serial = 1557] [outer = 079F3618]
08:34:17     INFO -  44115 INFO TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigated to insecure iframe on secure page
08:34:19     INFO -  --DOMWINDOW == 95 (079F2EE0) [serial = 1552] [outer = 079F4220] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 94 (10A08D80) [serial = 1525] [outer = 04DAFC58] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 93 (10A0B198) [serial = 1500] [outer = 10A08FE8] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 92 (04DAE918) [serial = 1476] [outer = 00000000] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 91 (04EC2090) [serial = 1468] [outer = 00000000] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 90 (04EC44A8) [serial = 1465] [outer = 00000000] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 89 (04EC4E48) [serial = 1459] [outer = 00000000] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
08:34:19     INFO -  --DOMWINDOW == 88 (04EC22F8) [serial = 1458] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_server.sjs?type=iframe]
08:34:19     INFO -  --DOMWINDOW == 87 (0CE0E098) [serial = 1413] [outer = 00000000] [url = http://mochi.test:8888/tests/content/base/test/test_fileapi_slice.html]
08:34:19     INFO -  --DOMWINDOW == 86 (04EC38A0) [serial = 1456] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_main.html]
08:34:19     INFO -  --DOMWINDOW == 85 (04EC4240) [serial = 1452] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_main.html]
08:34:19     INFO -  --DOMWINDOW == 84 (04DAFEC0) [serial = 1490] [outer = 00000000] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 83 (10A09250) [serial = 1538] [outer = 04DAD370] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 82 (04DAF788) [serial = 1532] [outer = 04DAD5D8] [url = about:blank]
08:34:19     INFO -  --DOMWINDOW == 81 (079F1BA0) [serial = 1540] [outer = 10A08B18] [url = about:blank]
08:34:19     INFO -  --DOCSHELL 049822A0 == 24 [id = 286]
08:34:19     INFO -  --DOCSHELL 07B5EDE0 == 23 [id = 281]
08:34:19     INFO -  --DOCSHELL 07B618E8 == 22 [id = 280]
08:34:19     INFO -  --DOCSHELL 07B61660 == 21 [id = 279]
08:34:19     INFO -  --DOCSHELL 16C65850 == 20 [id = 277]
08:34:19     INFO -  --DOCSHELL 10B8EA88 == 19 [id = 276]
08:34:19     INFO -  --DOCSHELL 10B8D648 == 18 [id = 275]
08:34:19     INFO -  --DOCSHELL 10B8DDE0 == 17 [id = 274]
08:34:19     INFO -  --DOCSHELL 10B8F220 == 16 [id = 273]
08:34:19     INFO -  --DOCSHELL 07B604A8 == 15 [id = 272]
08:34:19     INFO -  --DOCSHELL 07B5F578 == 14 [id = 271]
08:34:19     INFO -  --DOCSHELL 07B60220 == 13 [id = 270]
08:34:19     INFO -  --DOCSHELL 07B61B70 == 12 [id = 269]
08:34:19     INFO -  --DOMWINDOW == 80 (04EC2C98) [serial = 1470] [outer = 00000000] [url = http://example.com/tests/content/base/test/bug803225_test_mailto.html?s=%]
08:34:19     INFO -  --DOMWINDOW == 79 (04DADAA8) [serial = 1481] [outer = 00000000] [url = http://example.com/tests/content/base/test/bug803225_test_mailto.html?s=%]
08:34:19     INFO -  --DOMWINDOW == 78 (10A088B0) [serial = 1492] [outer = 00000000] [url = http://example.com/tests/content/base/test/bug803225_test_mailto.html?s=%]
08:34:20     INFO -  --DOMWINDOW == 77 (079F4220) [serial = 1551] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_frameNavigation_innermost.html?blankTarget]
08:34:20     INFO -  --DOMWINDOW == 76 (04DAFC58) [serial = 1524] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_frameNavigation_innermost.html?blankTarget]
08:34:20     INFO -  --DOMWINDOW == 75 (04DADF78) [serial = 1471] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_main_bug803225.html]
08:34:20     INFO -  --DOMWINDOW == 74 (10A0ACC8) [serial = 1497] [outer = 00000000] [url = about:blank]
08:34:20     INFO -  --DOMWINDOW == 73 (10A0AA60) [serial = 1496] [outer = 00000000] [url = about:blank]
08:34:20     INFO -  --DOMWINDOW == 72 (07EE7928) [serial = 1509] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_frameNavigation_grandchild.html]
08:34:20     INFO -  --DOMWINDOW == 71 (04EC33D0) [serial = 1461] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_main_bug803225.html]
08:34:20     INFO -  --DOMWINDOW == 70 (10A08FE8) [serial = 1499] [outer = 00000000] [url = http://example.com/tests/content/base/test/bug803225_test_mailto.html?s=%]
08:34:20     INFO -  --DOMWINDOW == 69 (10A08648) [serial = 1493] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_main_bug803225.html]
08:34:20     INFO -  --DOMWINDOW == 68 (07EE9138) [serial = 1506] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_frameNavigation_secure.html]
08:34:20     INFO -  --DOMWINDOW == 67 (04DAD370) [serial = 1534] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_frameNavigation_innermost.html?insecurePage_navigate_child_response]
08:34:20     INFO -  --DOMWINDOW == 66 (04DACEA0) [serial = 1535] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_frameNavigation_grandchild.html]
08:34:20     INFO -  --DOMWINDOW == 65 (04DAE1E0) [serial = 1521] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_frameNavigation_blankTarget.html]
08:34:20     INFO -  --DOMWINDOW == 64 (10A08B18) [serial = 1537] [outer = 00000000] [url = http://example.com/tests/content/base/test/file_mixed_content_frameNavigation_innermost.html?insecurePage_navigate_grandchild_response]
08:34:20     INFO -  --DOMWINDOW == 63 (10A07A40) [serial = 1529] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_frameNavigation_innermost.html?securePage_navigate_grandchild]
08:34:20     INFO -  --DOMWINDOW == 62 (04DAF050) [serial = 1520] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_frameNavigation_secure_grandchild.html]
08:34:20     INFO -  --DOMWINDOW == 61 (04DB0128) [serial = 1519] [outer = 00000000] [url = https://example.com/tests/content/base/test/file_mixed_content_frameNavigation_innermost.html?securePage_navigate_child]
08:34:23     INFO -  44116 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigated to insecure granchild iframe on secure page
08:34:23     INFO -  44117 INFO TEST-END | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | finished in 14799ms
Blocks: 840388
No longer blocks: 841850
The test that is failing involves the following:

The preference to block Mixed Active content is set to false (so all navigation attempts should succeed).

The testing harness has an https frame in it.  That https frame has an https child in it.  The https child has an https grandchild that tries to navigate from its current https location to an http location.  Since mixed content isn't blocked, there should be no reason the frame doesn't navigate.  The same test with http parents instead of https parents succeeds.

I will keep digging and see if I can reproduce this locally.
Perhaps the problem is that the timeout in the actual mochitest isn't always long enough for inbound and try (and hence the intermittent failures and the difficulty reproducing locally).  I am going to extend the timeout for the great grandchild test to 10 seconds, so that the great grand child frame has enough time to load capture a link click and navigate.  Let's see if this fixes the intermittent failures. If it doesn't, we can change it back to 5 seconds.
Attachment #730967 - Flags: review?(bugs)
Attachment #730967 - Flags: review?(bugs) → review+
Keywords: checkin-needed
(In reply to Ryan VanderMeulen [:RyanVM] from comment #12)
> https://hg.mozilla.org/integration/mozilla-inbound/rev/d2225846e42c

Looks like that didn't work.
I am writing a logging patch.  The fact that this one test fails is very odd.  The case in which it fails intermittently is when the mixed content blocker is disabled.  The previous test should fail too if there were something wrong with the code:
 
TEST-PASS | /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html | navigated to insecure iframe on secure page


Let's see if a logging patch helps me figure this out.
Attached patch Logging PatchSplinter Review
Logging patch.
Attachment #731239 - Flags: review?(bugs)
Attachment #731239 - Flags: review?(bugs) → review+
> Landed on mozilla-inbound:

(at the request of Tanvi)
(In reply to TinderboxPushlog Robot from comment #36)
> RyanVM
> https://tbpl.mozilla.org/php/getParsedLog.php?id=21257763&tree=Mozilla-
> Inbound
> Rev5 MacOSX Mountain Lion 10.8 mozilla-inbound debug test mochitest-1 on
> 2013-03-29 13:33:23
> slave: talos-mtnlion-r5-049
> 
> 13:39:06     INFO -  40486 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html |
> navigated to insecure granchild iframe on secure page

This is post-logging patch landing.
(In reply to TinderboxPushlog Robot from comment #73)
> philor
> https://tbpl.mozilla.org/php/getParsedLog.php?id=21324643&tree=Mozilla-Aurora
> Rev5 MacOSX Mountain Lion 10.8 mozilla-aurora debug test mochitest-1 on
> 2013-04-01 14:50:32
> slave: talos-mtnlion-r5-051
> 
> 14:56:15     INFO -  40471 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/base/test/test_mixed_content_blocker_frameNavigation.html |
> navigated to insecure granchild iframe on secure page

Which Firefox version is this?  Is it Mozilla-Aurora post merge (FF 22) or pre-merge (FF 21)?
Attached patch Rearrange TestsSplinter Review
To determine the root of the intermittent failures in the last mochitest from bug 840388, rearrange the tests so that the failing test is not the last test.  Do this by first running the tests with the mixed active content allowed and then run them with mixed active content blocked.
Attachment #732106 - Flags: review?(bugs)
Attachment #732106 - Flags: review?(bugs) → review+
Attachment #730967 - Flags: checkin+
So far, the most visible effect of that has been to make it time out on OS X rather quite a lot of the time.
Summary: Intermittent test_mixed_content_blocker_frameNavigation.html | navigated to insecure granchild iframe on secure page → Intermittent test_mixed_content_blocker_frameNavigation.html | navigated to insecure granchild iframe on secure page, or, | Test timed out.
We extended the timeout in hopes to help debug the intermittent failures.  The timeout length isn't the reason we are getting intermittent oranges, and it is causing even more oranges.  This patch sets it back to 5 seconds.
Attachment #733058 - Flags: review?(bugs)
Attachment #733058 - Flags: review?(bugs) → review+
Comment on attachment 733058 [details] [diff] [review]
Set the timeout back to 5 seconds.

Checked into inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/fb2366e31aef
Attachment #733058 - Flags: checkin+
Sorry Tanvi, but this failure is just way too frequent to leave on inbound. I'm disabling the test for now. You can still debug it on Try.
https://hg.mozilla.org/integration/mozilla-inbound/rev/92b2414679cd
The timeout spiked when I reordered the tests, so I'm reordering them back now.  I'm also adding more logging info.

r? this patch.

My plan:
1) Land this patch to fix the timeout issues
2) Submit and then land another patch that disables the specific failing test instead of disabling all ten mochitest.
3) Re-enable this set of tests (should be no oranges since the failing test would be disabled)
4) Push the failing test to try multiple times until I get an intermittent orange and then continue debugging.  If I still can't figure it out or if I don't get any oranges, I may rewrite the tests completely, using a different approach.
Attachment #733542 - Flags: review?(bugs)
Comment on attachment 733542 [details] [diff] [review]
Rearrange tests back to their original order and add more logging

remove //var ...
Attachment #733542 - Flags: review?(bugs) → review+
Whiteboard: [leave open] → [test disabled][leave open]
(In reply to Olli Pettay [:smaug] from comment #251)
> Comment on attachment 733542 [details] [diff] [review]
> Rearrange tests back to their original order and add more logging
> 
> remove //var ...

Removed //var....  Carrying over r+.
Attachment #733542 - Attachment is obsolete: true
Attachment #741526 - Flags: review+
Blocks: 865480
test_mixed_content_blocker_frameNavigation.html has 5 tests in it.  They are run twice (after toggling a pref), so that's a total of 10 tests.  Right now, all the tests are disabled.  In order to re-enable them I am removing 1 of the 5 tests.  So now there will be a total of 8 tests in this file.

The test that is being removed has to do with navigating a great grandchild iframe.  The test does not fail in Mozilla-Beta (FF 21).  I'm not sure why, but there may be some underlying issue in code that was added to Mozilla-Aurora (FF 22).  I cannot reproduce the error and have run out of ideas on what could be wrong.  In order to not lose full test coverage, I'm removing the 1 failing test.  I will completely rewrite this test in a separate file (which will also make it simpler and perhaps not cause the unknown underlying issue).  I filed followup bug adding a new test - https://bugzilla.mozilla.org/show_bug.cgi?id=865480.

r? to Olli.

Here is a push to try: https://tbpl.mozilla.org/?tree=Try&rev=7a20263df10f

If this gets an r+ and the try looks good, this will be ready for inbound.  Thanks!
Attachment #741546 - Flags: review?(bugs)
Attachment #741546 - Flags: review?(bugs) → review+
Attachment #741526 - Flags: checkin+
(In reply to Tanvi Vyas [:tanvi] from comment #290)
> Created attachment 741546 [details] [diff] [review]
> Remove the 1 failing test and re-enable the rest v1
> 
Should we uplift this patch to aurora to fix the aurora failures?